openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/BDL_GENERATE_LOGFUNC_INCLUDES:
    post:
      tags:
      - BDL4
      operationId: /rfc/BDL_GENERATE_LOGFUNC_INCLUDES
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CLUST_ID:
                  type: string
                  default: ' '
                  maxLength: 6
                  description: Clust_id to create include with interface
                COMPARE_TABLES:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Number of cases between a case-endcase clause
                COPY_BY_ASSIGN:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Number of cases between a case-endcase clause
                COPY_INCLUDE:
                  type: string
                  default: BDLSCOPY
                  maxLength: 30
                  description: Number of cases between a case-endcase clause
                DATCOL_TAB:
                  type: string
                  default: BDLDATCOL
                  maxLength: 30
                  description: Name of DB table for download data
                DEST_MODE_VAR:
                  type: string
                  default: BDL_DEST_MOD
                  maxLength: 30
                  description: Variable name for runtime
                DEVCLASS:
                  type: string
                  default: BDL3
                  maxLength: 30
                  description: Development class for Change and Transport Organizer
                DO_NOT_COPY_VAR:
                  type: string
                  default: BDL_DO_NOT_COPY
                  maxLength: 30
                  description: Variable name for runtime
                DTOC_FIELD:
                  type: string
                  default: FUNCMOD
                  maxLength: 30
                  description: Field for selection
                DTOC_TAB:
                  type: string
                  default: BDLDTOC
                  maxLength: 30
                  description: Name of DB table which contains download
                EXCEPT:
                  type: string
                  default: '%EXCEPTION'
                  maxLength: 30
                  description: Variable name for exceptions
                FILL_NAME:
                  type: string
                  default: BDLSAFILL
                  maxLength: 30
                  description: Include to fill Global Variables
                FILL_NAME_REL3:
                  type: string
                  default: BDLSAFLL
                  maxLength: 30
                  description: Include to fill Global Variables in release 3.*
                IF_ADD_NAME:
                  type: string
                  default: IF
                  maxLength: 30
                  description: Name of interface includes in releases >= 4.*
                IGNORE_CONVERSION_ERRORS:
                  type: string
                  default: X
                  maxLength: 1
                  description: Status of object
                INSERT_COPY_FLAG:
                  type: string
                  default: X
                  maxLength: 1
                  description: Number of cases between a case-endcase clause
                INSERT_COPY_FORMS:
                  type: string
                  default: X
                  maxLength: 1
                  description: Number of cases between a case-endcase clause
                LOGFUNC:
                  type: string
                  default: ' '
                  maxLength: 30
                  description: Logfunc to create include with interface
                LOG_NAME:
                  type: string
                  default: BDL
                  maxLength: 30
                  description: Name space
                NAME_SPACE:
                  type: string
                  default: /1CAGTF/
                  maxLength: 30
                  description: Reservated name space in releases >= 4.*
                OPTION:
                  type: string
                  default: ' '
                  maxLength: 30
                  description: To create different parts of declaration
                RELID:
                  type: string
                  default: DL
                  maxLength: 2
                  description: RELID in BDLDATCOL
                REPORT_NAME:
                  type: string
                  default: BDLMTEST
                  maxLength: 30
                  description: Name of test report
                RUNTIME:
                  type: string
                  default: '%RUNTIME'
                  maxLength: 30
                  description: Variable name for runtime
                SESSION:
                  type: object
                  properties:
                    SESSIONNR:
                      type: string
                      maxLength: 10
                      description: Character Field Length = 10
                    MANDANT:
                      type: string
                      maxLength: 3
                      description: 3-Byte field
                    INSTALL_NO:
                      type: integer
                      format: int64
                      description: 10 digit number
                    SID:
                      type: string
                      maxLength: 8
                      description: Name of the SAP System
                    CUST_NO:
                      type: integer
                      format: int64
                      description: 10 digit number
                    CONTRACT:
                      type: string
                      maxLength: 8
                      description: Contract type
                    DESCRIPTIO:
                      type: string
                      maxLength: 8
                      description: Session subtype
                    FUNCMOD:
                      type: string
                      maxLength: 6
                      description: Character field of length 6
                    HOST:
                      type: string
                      maxLength: 32
                      description: Character field, length 32
                    INSTANCE:
                      type: string
                      maxLength: 2
                      description: Version Number Component
                    SEQNO:
                      type: integer
                      format: int64
                      description: Sequence number
                    CONTEXT:
                      type: string
                      maxLength: 20
                      description: Context
                    TYPE:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    DATUM:
                      type: string
                      format: date
                      description: Current Date of Application Server
                    UHRZEIT:
                      type: string
                      maxLength: 6
                      description: Current Time of Application Server
                    CODEPAGE:
                      type: integer
                      format: int64
                      description: SAP Character Set ID
                STRUCTURES_PER_FORM:
                  type: integer
                  format: int32
                  default: 50
                  description: Number of cases between a case-endcase clause
                SYNTAX_CHECK:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Flag to get info if syntax check failed
                TOPFILL_NAME:
                  type: string
                  default: BDLSAFILLTOP
                  maxLength: 30
                  description: Top include to fill Global Variables
                TOPFILL_NAME_REL3:
                  type: string
                  default: BDLSATOP
                  maxLength: 30
                  description: Top include to fill Global Variables in rel. 3.*
                WHENS_PER_CASE:
                  type: integer
                  format: int32
                  default: 10
                  description: Number of cases between a case-endcase clause
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
